<!DOCTYPE html>
<html>
  <head id="head">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
    <!-- Avoid FOUC -->
    <style type="text/css">
      .hidden {display:none;}
    </style>
    <script src="{{ .Site.BaseURL }}/js/jquery-3.5.0.min.js"></script>
    <!-- Avoid FOUC -->
    <script type="text/javascript">
      $('html').addClass('hidden');
      $(document).ready(function() {
        $('html').removeClass('hidden');
        // function for avoiding anchor to stop on top of the page.
        function goToAnchor() {
          hash = document.location.hash;
          if (hash !="") {
            setTimeout(function() {
              if (location.hash) {
                window.scrollTo(0, 0);
                window.location.href = hash;
                // Scroll up 55px considering the fixed header.
                window.scrollBy(0, -55);
              }
            }, 1);
          }
          else {
              return false;
          }
        }
        goToAnchor();
      });
    </script>
    {{ $style := resources.Get "/main.scss" | toCSS | minify | fingerprint }}
    <link id="light" rel="stylesheet" href="{{ $style.Permalink }}">
    <link href="{{ .Site.BaseURL }}/web-fonts-with-css/css/all.css" rel="stylesheet">
    <title>
      {{ block "title" . }}
          {{ .Site.Title }}
      {{ end }}
    </title>
  </head>
  <body>
    <!-- for Firefox... -->
    <script>0</script>
    {{ partial "header" . }}
    <div class="under-header">
        {{ partial "left-nav" . }}
        <main class="mainofbase" id="mainofbase">
            <div id="hide-for-search">
            <!-- Code that all your templates share, like a header -->
            {{ block "main" . }}
            <!-- The part of the page that begins to differ between templates -->
            {{ end }}
            </div>
            <!-- 検索結果表示 -->
            <div id="searchResultsParent" class="searchResultsParent"></div>
        </main>
        <aside class="adoc-toc sticky" id="adoc-toc">
        </aside>
    </div>
    {{ partial "footer" . }}
    {{ block "footer" . }}
    <!-- More shared code, perhaps a footer but that can be overridden if need be in  -->
    {{ end }}

    <!-- Let IE11 support Custom Properties -->
    <script src="{{ .Site.BaseURL }}/js/ie11CustomProperties.min.js"></script>
    <script src="{{ .Site.BaseURL }}/js/adoc_toc.js"></script>        
    <script src="{{ .Site.BaseURL }}/js/lunr.js"></script>
    <script src="{{ .Site.BaseURL }}/js/jquery.mark.min.js"></script>
    <div id="site-base-url" data-url="{{ .Site.BaseURL }}"></div>
    <script src="{{ .Site.BaseURL }}/js/search.js"></script>
    <script src="{{ .Site.BaseURL }}/js/fix_scroll.js"></script>
    <script src="{{ .Site.BaseURL }}/js/locate_word.js"></script>
    <script src="{{ .Site.BaseURL }}/js/dark.js"></script>
    <script src="{{ .Site.BaseURL }}/js/hide_toc.js"></script>
    <script src="{{ .Site.BaseURL }}/js/accordion.js"></script>
    <script src="{{ .Site.BaseURL }}/js/dropdown.js"></script>
    <script src="{{ .Site.BaseURL }}/js/left_nav_fold.js"></script>
    <script src="{{ .Site.BaseURL }}/js/stickyfill.min.js"></script>
    <script src="{{ .Site.BaseURL }}/js/jquery.tablesorter.combined.min.js"></script>
    <script src="{{ .Site.BaseURL }}/js/jquery.metadata.min.js"></script>
    <script src="{{ .Site.BaseURL }}/js/run_tablesorter.js"></script>
    <script>
      var elem = document.querySelectorAll('.sticky');
      Stickyfill.add(elem);
    </script>


  </body>
</html>